Datacenter Batch Query Connect Info

Datacenter Batch Query Connect Info
This interface returns a list of information about the specified hosts without adding them to the vCenter inventory.

This interface returns a list of information about the specified hosts without adding them to the vCenter inventory.

It does so by calling QueryConnectionInfoViaSpec.

Required privileges: System.View

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/Datacenter/{moId}/BatchQueryConnectInfo
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case Datacenter/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
BatchQueryConnectInfoRequestType of type(s) application/json
Optional
{
    "hostSpecs": [
        {
            "_typeName": "string",
            "hostName": "string",
            "port": 0,
            "sslThumbprint": "string",
            "sslCertificate": "string",
            "userName": "string",
            "password": "string",
            "vmFolder": {
                "_typeName": "string",
                "type": "string",
                "value": "string"
            },
            "force": false,
            "vimAccountName": "string",
            "vimAccountPassword": "string",
            "managementIp": "string",
            "lockdownMode": "string",
            "hostGateway": {
                "_typeName": "string",
                "gatewayType": "string",
                "gatewayId": "string",
                "trustVerificationToken": "string",
                "hostAuthParams": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": "string"
                    }
                ]
            }
        }
    ]
}
array of object
hostSpecs
Optional

Information about the set of hosts to query.

Authentication
This operation uses the following authentication methods.
Responses
200

OK

[
    {
        "_typeName": "string",
        "hostname": "string",
        "error": {
            "_typeName": "string",
            "faultCause": {
                "_typeName": "string",
                "faultCause": "MethodFault Object",
                "faultMessage": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "arg": [
                            {
                                "_typeName": "string",
                                "key": "string",
                                "value": {
                                    "_typeName": "string"
                                }
                            }
                        ],
                        "message": "string"
                    }
                ]
            },
            "faultMessage": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "arg": [
                        {
                            "_typeName": "string",
                            "key": "string",
                            "value": {
                                "_typeName": "string"
                            }
                        }
                    ],
                    "message": "string"
                }
            ]
        },
        "serverIp": "string",
        "numVm": 0,
        "numPoweredOnVm": 0,
        "hostProductInfo": {
            "_typeName": "string",
            "name": "string",
            "fullName": "string",
            "vendor": "string",
            "version": "string",
            "patchLevel": "string",
            "build": "string",
            "localeVersion": "string",
            "localeBuild": "string",
            "osType": "string",
            "productLineId": "string",
            "apiType": "string",
            "apiVersion": "string",
            "instanceUuid": "string",
            "licenseProductName": "string",
            "licenseProductVersion": "string"
        },
        "hardwareVendor": "string",
        "hardwareModel": "string"
    }
]
array of object
Optional

BasicConnectInfo consists of essential information about the host.

This is a subset of HostConnectInfo and contains the information which is relevant when it comes to dealing with a set of hosts.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/sdk/vim25/{release}/Datacenter/{moId}/BatchQueryConnectInfo